# DIGEST_CTX_s Struct Reference

MD5/SHA1 digest private data. More...

## Data Fields

rpmDigestFlags | flags
uint32 | datalen
uint32 | paramlen
uint32 | digestlen
void * | param
int(* | Reset )(void *param)
int(* | Update )(void *param, const byte *data, int len)
int(* | Digest )(void *param, uint32 *digest)

## Detailed Description

MD5/SHA1 digest private data.

Definition at line 24 of file digest.c.

## Field Documentation

uint32 DIGEST_CTX_s::datalen

No. bytes in block of plaintext data.

Definition at line 26 of file digest.c.

int(* DIGEST_CTX_s::Digest)(void *param,uint32 *digest)

Digest finish.

Definition at line 34 of file digest.c.

uint32 DIGEST_CTX_s::digestlen

No. bytes of digest.

Definition at line 28 of file digest.c.

rpmDigestFlags DIGEST_CTX_s::flags

Bit(s) to control digest operation.

Definition at line 25 of file digest.c.

void* DIGEST_CTX_s::param

Digest parameters.

Definition at line 29 of file digest.c.

uint32 DIGEST_CTX_s::paramlen

No. bytes of digest parameters.

Definition at line 27 of file digest.c.

int(* DIGEST_CTX_s::Reset)(void *param)

Digest initialize.

Definition at line 30 of file digest.c.

int(* DIGEST_CTX_s::Update)(void *param, const byte *data, int len)

Digest transform.

Definition at line 32 of file digest.c.

The documentation for this struct was generated from the following file:

- rpmio/digest.c